// pages/driver/index.js
const api = require('../../../api/index.js');

Page({

  /**
   * 页面的初始数据
   */
  data: {
    driver:[]
  },

  /**
   * 生命周期函数--监听页面加载
   */
  onLoad(options) {
 this.getdriver()
  },
  getdriver(){
    let data ={
      operationId:'',
      driverType:'',
      driverName:'',
    }
    api.request(`/sysdriver/selectdriverall`, 'post',data,{ isPublic: false })
    .then((data) => {
  console.log(data.data);
  if (data.code==200) {
    this.setData({
      driver:data.data
    })
  }
  //  wx.navigateTo({
  //   url: '/pages/map/index',
  // })
    })
    .catch((err) => {
   
      console.error('请求失败：', err);
    });
  },
  /**
   * 生命周期函数--监听页面初次渲染完成
   */
  onReady() {

  },

  /**
   * 生命周期函数--监听页面显示
   */
  onShow() {

  },

  /**
   * 生命周期函数--监听页面隐藏
   */
  onHide() {

  },

  /**
   * 生命周期函数--监听页面卸载
   */
  onUnload() {

  },

  /**
   * 页面相关事件处理函数--监听用户下拉动作
   */
  onPullDownRefresh() {

  },

  /**
   * 页面上拉触底事件的处理函数
   */
  onReachBottom() {

  },

  /**
   * 用户点击右上角分享
   */
  onShareAppMessage() {

  }
})